--------------------------------------------
-- Global Variable
--------------------------------------------
require "./AI/Alchemist.lua"
require "./AI/Homunculus.lua"
require "./AI/Const.lua"

-- AP~IuWFNg
alchemist = nil
alchemistPrev = nil

-- zIuWFNg
homunculus = nil
homunculusPrev = nil


function InitGlobal(homId)
	TraceAI("InitGlobal")

	-- zAAP~IuWFNgݒ
	homunculusPrev = homunculus
	homunculus = Homunculus.new(homId)
	if( homunculusPrev == nil ) then
		homunculusPrev = homunculus
	end

	local alcId = homunculus:getSysValue(V_OWNER)
	alchemistPrev = alchemist
	alchemist = Alchemist.new(alcId)
	if( alchemistPrev == nil ) then
		alchemistPrev = alchemist
	end

 	TraceAI("[New]")
 	TraceAI(alchemist:toString())
 	TraceAI(homunculus:toString())
 	TraceAI("[Prev]")
 	TraceAI(alchemistPrev:toString())
 	TraceAI(homunculusPrev:toString())
end
