--------------------------------------------
-- Alchemist NX
--------------------------------------------
require "./AI/Character.lua"
require "./AI/Const.lua"

Alchemist = {}
setmetatable(Alchemist, { __index = Character })


-- Q΍iEXIT_TIME bo߂ROIj
EXIT_TIME = 600
   	

-- IuWFNg
function Alchemist.new(charId)
	TraceAI(string.format("Alchemist.new (charId:%d)",charId))

    local metaTable = { __index = Alchemist }

	local self = Character.new(charId)
	self.name = "Alchemist"

	-- ړ΍ŏIړԂXVȂ
	if( alchemistPrev ~= nil ) then
		if self.x == alchemistPrev:getX()
	   			and self.y == alchemistPrev:getY() then
	   		self.lastMoveTime = alchemistPrev:getLastMoveTime()
	    end
	end

	-- w莞ԈړꍇROI
    if os.difftime(os.time(), self.lastMoveTime)>=EXIT_TIME then
    	os.exit()
    end

    return setmetatable(self, metaTable)
end
